$(function () {
    //提交判断
    $("form").submit(function () {
        $("input[type='text'],input[type='password'],textarea").trigger("blur");
        $("select").trigger("change");

        ///新增方法填写在此///

        /////

        if ($("form span").hasClass("ico-error")) {
            $("input:submit").attr("disabled", false);
            $("input:submit").next("span").attr("class", "point ico-error R");
            $("input:submit").next("span").text("请按照提示正确操作，检查各项填写");
            setInterval(delSubmitBtnMsg, 3000);
            return false;
        } else {
            $("input:submit").attr("disabled", true);
            $("input:submit").next("span").attr("class", "Q");
            $("input:submit").next("span").html("<img src=\"Images/Loading.gif\" align=\"middle\" /> 正在保存…");
        }
    });

    //删除数据源
    $("a[rel='del']").click(function () {
        var $delObject = $(this);
        if (confirm("确定要删除该数据源吗？")) {
            $.ajax({
                type: "POST",
                url: "Ajax/DataBase.ashx",
                data: { 'com': 'deldatabase', 'filepath': $delObject.attr("href") },
                datatype: "json",
                beforeSend: function (data, textStatus) {
                    showMsg("数据源正在删除中 ", true);
                },
                success: function (data, textStatus) {
                    if (data == "1") {
                        $delObject.parent().parent("tr").remove();
                    } else {
                        alert("删除失败!");
                    }
                    showMsg("", false);
                },
                error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
            })
        }
        return false;
    });

    var restoreState = false;

    //还原数据源
    $("a[rel='restore']").click(function () {
        var $object = $(this);
        if (!restoreState) {
            if (confirm("确定要还原数据源吗？")) {
                restoreState = true;
                $.ajax({
                    type: "POST",
                    url: "Ajax/DataBase.ashx",
                    data: { 'com': 'backupdatabase', 'filepath': $object.attr("href") },
                    datatype: "json",
                    beforeSend: function (data, textStatus) {
                        $object.parent("td").html("<span id=\"tempID\" class=\"R B\">还原中...</span>");
                        showMsg("数据源正在还原中，请勿其他操作", true);
                    },
                    success: function (data, textStatus) {
                        if (data == "1") {
                            $("#tempID").attr("class", "Q B");
                            $("#tempID").text("还原成功");
                        } else {
                            alert("还原失败!");
                        }
                        showMsg("", false);
                    },
                    error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
                })
            }
        } else {
            alert("数据库正在还原中，请勿操作其他！")
        }
        return false;
    });

    //备份数据库
    $("#DataBackup").click(function () {
        var $obj = $("#backup_text");
        if ($obj.val() == "") {
            alert("请输入备份文件名");
            return false;
        }
        var reg = /^[a-zA-Z0-9_\u4E00-\u9FA5]+$/;
        if (!reg.test($obj.val())) {
            alert("文件名输入有误含非法字符");
            return false;
        }
        $.ajax({
            type: "POST",
            url: "Ajax/DataBase.ashx",
            data: { 'com': 'backup', 'filepath': $obj.val() },
            datatype: "json",
            beforeSend: function (data, textStatus) {
                $obj.next("span").attr("class", "point ico-remind R");
                $obj.next("span").html("备份中...");
                showMsg("数据源正在备份中，请勿其他操作", true);
            },
            success: function (data, textStatus) {
                if (data == "1") {
                    $obj.next("span").attr("class", "point ico-via Q");
                    $obj.next("span").text("备份成功");
                    $obj.attr("disabled", true);
                    location.reload();
                } else {
                    $obj.next("span").attr("class", "point ico-error R");
                    $obj.next("span").text("备份失败");
                    $obj.attr("disabled", false);
                }
                showMsg("", false);
            },
            error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
        });
        return false;
    });

})